Next: Keep Newer Files, Previous: Overwrite Old Files, Up: Writing [Contents][Index]

#### Keep Old Files

GNU `tar` provides two options to control its actions in a situation when it is about to extract a file which already exists on disk.

`--keep-old-files`
`-k`

  Do not replace existing files from archive. When such a file is encountered, `tar` issues an error message. Upon end of extraction, `tar` exits with code 2 (see exit status).

`--skip-old-files`

  Do not replace existing files from archive, but do not treat that as error. Such files are silently skipped and do not affect `tar` exit status.

  Additional verbosity can be obtained using `--warning=existing-file` together with that option (see warnings).